跳至內容

Chrono Edit

整合

模型 id chrono-edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/chrono-edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.01 10 API 點數 · ≈ ₽1.05 在此頁面執行

取得 API 金鑰
NVIDIA 圖像編輯 最高 720p #image-editing

基於指令的影像編輯器,支援選用的時間推理與 turbo 模式,輸出為 480p 或 720p

NVIDIA · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

描述圖像編輯內容的提示詞。

•必填 image_url
拖放檔案,或

提供用於編輯的圖像。

resolution 預設 480p

結果圖像的解析度。

進階 output_format · num_inference_steps · guidance_scale · num_temporal_reasoning_steps · seed · enable_prompt_expansion · enable_temporal_reasoning · enable_safety_checker · turbo_mode
output_format 預設 jpeg

結果圖像的檔案格式。

預設 8

要執行的推論步數。

預設 1

推論期間套用的引導比例。

預設 8

時間推理使用的步驟數量。

推論期間使用的種子。

POST /run/chrono-edit?wait=20 報價 → $0.01
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/chrono-edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Chrono Edit

根據文字提示編輯影像,目標是產生邏輯一致的變更。`enable_temporal_reasoning` 會加入推理步驟(透過 `num_temporal_reasoning_steps` 設為 2 到 12),`enable_prompt_expansion` 與 `turbo_mode` 預設為開啟。解析度為 480p 或 720p,輸出格式為 jpeg、png 或 webp。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
提供用於編輯的圖像。
prompt必填
類型string
描述圖像編輯內容的提示詞。
num_inference_steps選填
類型integer
預設值8
2 – 50
要執行的推論步數。
guidance_scale選填
類型number
預設值1
0 – 10
推論期間套用的引導比例。
enable_prompt_expansion選填
類型boolean
預設值true
控制是否啟用提示詞擴展。
enable_temporal_reasoning選填
類型boolean
預設值false
控制是否啟用時間推理。
num_temporal_reasoning_steps選填
類型integer
預設值8
2 – 12
時間推理使用的步驟數量。
resolution選填
類型enum
預設值480p
480p720p
結果圖像的解析度。
enable_safety_checker選填
類型boolean
預設值true
安全檢查開關;關閉設定僅對已授權帳戶有效。所有未獲該授權的請求都會進行安全檢查。
seed選填
類型integer | null
推論期間使用的種子。
output_format選填
類型enum
預設值jpeg
jpegpngwebp
結果圖像的檔案格式。
turbo_mode選填
類型boolean
預設值true
加速推論的 Turbo 模式開關。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "chrono-edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 10,
    "usd": "0.01",
    "charged": 10,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "prompt": "The user wants to add a surfer to the wave in the illustration while preserving the original ukiyo-e woodblock art style. The surfer should be depicted mid-action, crouched low on a modern-style surfboard, carving through the crest of the wave with one arm extended for balance and the other gripping the board. Their wavy hair and athletic physique should match the dynamic motion. The background must remain unchanged, including the iconic Mount Fuji and the traditional Japanese text, to maintain the artwork's historical aesthetic and composition.",
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size, width, height}編輯產生的圖像。
prompt
string提供給推論程序的提示詞。
seed
integer推論期間使用的種子。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/chrono-edit.md. 所有模型與指南: https://doitong.com/developers/llms.txt